Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163530 - Messages marked as unread when read messages are moving to a different folder
Summary: Messages marked as unread when read messages are moving to a different folder
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 17:11 UTC by Nathan G. Grennan
Modified: 2018-04-11 07:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-02 17:06:34 UTC


Attachments (Terms of Use)
Patch fixes a problem with the unread/read status of messages when moved and while using an imaprev1 account (deleted)
2005-07-18 17:12 UTC, Nathan G. Grennan
no flags Details | Diff

Description Nathan G. Grennan 2005-07-18 17:11:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
This is a known bug, http://bugzilla.gnome.org/show_bug.cgi?id=274407. It has been fixed in 1.3.3, but 1.3.3 is the development version. From cvs logs I tracked down the change in the code, and found it backported easily. I have both compiled the patch into the source rpm, and tested evolution to confirm the patch fixes the bug. It doesn't seem to have any side effects.

Version-Release number of selected component (if applicable):
evolution-data-server-1.2.3-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Setup imaprev1 account in evolution
2. Move an read message to a different folder

  

Actual Results:  The message becomes marked unread after the move.

Expected Results:  The message stays marked read after the move.

Additional info:

Comment 1 Nathan G. Grennan 2005-07-18 17:12:28 UTC
Created attachment 116880 [details]
Patch fixes a problem with the unread/read status of messages when moved and while using an imaprev1 account

Comment 2 Nathan G. Grennan 2005-08-11 18:25:37 UTC
evolution-data-server-1.2.3-2.fc4 still has the bug.

Comment 3 Christian Iseli 2007-01-20 00:21:01 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Matěj Cepl 2007-08-31 15:20:57 UTC
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 5 Matthew Barnes 2007-10-02 17:06:34 UTC
Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.